Developers
ReferenceWebhook endpoints

Create a webhook endpoint

Create a webhook endpoint. The response contains the signing secret; it is not shown again.

POST
/webhook-endpoints

Create a webhook endpoint. The response contains the signing secret; it is not shown again.

Authorization

http
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create (POST) or update (PATCH) a webhook endpoint.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/webhook-endpoints" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "events": [      "order.created"    ]  }'
{  "id": "string",  "object": "webhook_endpoint",  "url": "string",  "description": "string",  "events": [    "string"  ],  "include_personal_data": true,  "status": "enabled",  "disabled_reason": "string",  "secret": "string",  "created_at": "string",  "updated_at": "string"}